<?php
  /* class kindermassnahme */
  class kindermassnahme
  {
      var $childId;
      var $kontobewegungsId;

      function __construct($kontobewegungsId = 0)
      {
          if ($kontobewegungsId != 0) {
              $query = "SELECT * FROM kindermassnahmen WHERE kontobewegungsId = '$kontobewegungsId'";
              $result = dbQuery($query)
                  or error ("Konnte Massnahme nicht aus der Datenbank lesen: " . dbError());
              $numRows = dbNumRows($result);
              if ($numRows != 0 )
              {
                  $row = dbFetchRow($result);

                  $this->childId = unescape($row['childId']);
                  $this->kontobewegungsId = unescape($row['kontobewegungsId']);
              }
              dbFreeResult($result);
              if (!$this->childId) {
                  return false;
              }
          }
          return $this;
      }

      function insert($log=false)
      {
          $query = "INSERT INTO kindermassnahmen SET ".
            "childId = '". $this->childId . "',".
            "kontobewegungsId = '". $this->kontobewegungsId . "'"; 
          if (!$result = dbQuery($query))
          {
              error ("Konnte Massnahme nicht in die Datenbank einfügen: " .
                      dbError(). "<br>\n".
                      "Query: $query");
              return false;
          }
          dbFreeResult($result);
      }

  }
